## libsamplerate 0.2.1+ds0

=== tests/CMakeLists.txt ===
check_include_file(sys/times.h HAVE_SYS_TIMES_H)

check_function_exists(alarm HAVE_ALARM)
check_function_exists(signal HAVE_SIGNAL)

check_symbol_exists(SIGALRM signal.h HAVE_SIGALRM)

find_package(FFTW3)
set(HAVE_FFTW3 ${FFTW3_FOUND} PARENT_SCOPE)

add_executable(misc_test misc_test.c util.c util.h)
target_link_libraries(misc_test PRIVATE samplerate)
add_test(NAME misc_test COMMAND misc_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(termination_test termination_test.c util.c util.h)
target_link_libraries(termination_test PRIVATE samplerate)
add_test(NAME termination_test COMMAND termination_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(callback_hang_test callback_hang_test.c util.c util.h)
target_link_libraries(callback_hang_test PRIVATE samplerate)
add_test(NAME callback_hang_test COMMAND callback_hang_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(downsample_test downsample_test.c util.c util.h)
target_link_libraries(downsample_test PRIVATE samplerate)
add_test(NAME downsample_test COMMAND downsample_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(simple_test simple_test.c util.c util.h)
target_link_libraries(simple_test PRIVATE samplerate)
add_test(NAME simple_test COMMAND simple_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(callback_test callback_test.c util.c util.h)
target_link_libraries(callback_test PRIVATE samplerate)
add_test(NAME callback_test COMMAND callback_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(reset_test reset_test.c util.c util.h)
target_link_libraries(reset_test PRIVATE samplerate)
add_test(NAME reset_test COMMAND reset_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(clone_test clone_test.c util.c util.h)
target_link_libraries(clone_test PRIVATE samplerate)
add_test(NAME clone_test COMMAND clone_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(nullptr_test nullptr_test.c util.c util.h)
target_link_libraries(nullptr_test PRIVATE samplerate)
add_test(NAME nullptr_test COMMAND nullptr_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(multi_channel_test multi_channel_test.c calc_snr.c util.c util.h)
target_link_libraries(multi_channel_test
  PRIVATE
    samplerate
    $<$<BOOL:${FFTW3_FOUND}>:FFTW3::fftw3>
   )
add_test(NAME multi_channel_test COMMAND multi_channel_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(varispeed_test varispeed_test.c calc_snr.c util.c util.h)
target_link_libraries(varispeed_test
  PRIVATE samplerate
    $<$<BOOL:${FFTW3_FOUND}>:FFTW3::fftw3>
   )
add_test(NAME varispeed_test COMMAND varispeed_test util.c util.h WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(float_short_test float_short_test.c)
target_link_libraries(float_short_test PRIVATE samplerate)
add_test(NAME float_short_test COMMAND float_short_test WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(snr_bw_test snr_bw_test.c calc_snr.c util.c util.h)
target_link_libraries(snr_bw_test
  PRIVATE
    samplerate
    $<$<BOOL:${FFTW3_FOUND}>:FFTW3::fftw3>
   )
add_test(NAME snr_bw_test COMMAND snr_bw_test util.c util.h WORKING_DIRECTORY ${PROJECT_BINARY_DIR}/src)

add_executable(throughput_test throughput_test.c util.c util.h)
target_link_libraries(throughput_test PRIVATE samplerate)

add_executable(multichan_throughput_test multichan_throughput_test.c util.c util.h)
target_link_libraries(multichan_throughput_test PRIVATE samplerate)

add_executable(src-evaluate src-evaluate.c util.c util.h calc_snr.c)
target_link_libraries(src-evaluate
  PRIVATE
    samplerate
    $<$<BOOL:${FFTW3_FOUND}>:FFTW3::fftw3>
    $<$<BOOL:${SndFile_FOUND}>:SndFile::sndfile>
   )

## libsamplerate 0.1.8

=== debian/changelog ===
libsamplerate (0.1.8-5) unstable; urgency=low

  * debian/rules: Purge *.la files after install.
  * debian/libsamplerate0-dev.install: Don't install *.la files.
  * debian/control: Standards version 3.9.3. No changes needed.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 18 Jun 2012 19:39:35 +1000

libsamplerate (0.1.8-4) unstable; urgency=low

  * debian/control:
    - Standards version 3.9.2 (no changes needed).
    - Use Replaces instead of Replaces/Breaks (Closes: #657414).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 11 Mar 2012 16:39:18 +1100

libsamplerate (0.1.8-3) unstable; urgency=low

  * samplerate-programs Fix Replaces/Breaks libsamplerate0 (<< 0.1.8)
    (Closes: #657414).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 19 Feb 2012 10:52:28 +1100

libsamplerate (0.1.8-2) unstable; urgency=low

  * Enabling harden build flags.
  * samplerate-programs Replaces/Breaks libsamplerate0 (<< 0.1.8)
    (Closes: #657414:).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri, 27 Jan 2012 20:07:43 +1100

libsamplerate (0.1.8-1) unstable; urgency=low

  * New upstream (Closes: #637691).
  * debian/patches/ : Remove uneeded patches (fixed upstream).
  * debian/control : Remove quilt from build-deps.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 16 Aug 2011 18:32:49 +1000

libsamplerate (0.1.7-4) unstable; urgency=low

  * Patch from Steve Langasek to enable multiarch (Closes: #637588).
  * debian/control: Standards version 3.9.2 (no changes needed).
  * debian/rules:
    - Add build-arch and build-indep targets.
    - Force clearing of dependency_libs in libsamplerate.la.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sat, 13 Aug 2011 10:09:55 +1000

libsamplerate (0.1.7-3) unstable; urgency=low

  * debian/control :
    - New maintainer (Closes: #546788).
    - Add DM-Upload-Allowed yes.
    - Improved package descriptions.
    - Standards version to 3.8.3.
  * debian/patches/ debian/rules debian/control :
    - Use quilt instead of dpatch.
  * debian/rules :
    - Do not install example binary varispeed-play which was always intended as
      a coding demo rather than something usable.
  * Add file debian/README.source.
  * Add manpage for sndfile-resample.
  * Add a patch to fix termination condition bug (Closes: #539878).
  * Add patch to prevent crashing when input_frames == 0 (Closes: #506722).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed,  7 Oct 2009 21:46:20 +1100

libsamplerate (0.1.7-2) unstable; urgency=low

  * Added callback_test.dpatch to correct rounding error in callback test,
    closes: #515658.

 -- Samuel Mimram <smimram@debian.org>  Tue, 17 Feb 2009 23:35:15 +0100

libsamplerate (0.1.7-1) unstable; urgency=low

  * New upstream release.
  * Use Homepage field.
  * Updated compat to 7.
  * Updated standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Feb 2009 10:25:25 +0100

libsamplerate (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Mon, 14 Jul 2008 13:46:21 +0200

libsamplerate (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version to 3.7.3, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 05 Apr 2008 15:28:40 +0200

libsamplerate (0.1.2-5) unstable; urgency=low

  * Using dpatch to handle patches.
  * Added api.dpatch to correct links in the documentation, closes: #423590.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 May 2007 22:06:50 +0200

libsamplerate (0.1.2-4) unstable; urgency=low

  * Correctly install varispeed-play, closes: #421422.

 -- Samuel Mimram <smimram@debian.org>  Sun, 29 Apr 2007 00:17:06 +0200

libsamplerate (0.1.2-3) unstable; urgency=low

  * Adopting the package, closes: #418081.
  * Rephrased samplerate-programs package description, closes: #345745.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 07 Apr 2007 01:36:51 +0200

libsamplerate (0.1.2-2) unstable; urgency=low

  * Previous upload was rejected by ftp-master because they felt that
    having only a single binary in samplerate-programs was not a good
    idea.
  * Include all example programs instead.

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 26 Nov 2005 09:44:31 +1100

libsamplerate (0.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #333478)
  * Include sample programs (Closes: #297138)
  * Install all docs (Closes: #275390)

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 26 Oct 2005 14:21:42 +1000

libsamplerate (0.1.1-2) unstable; urgency=low

  * Install documentation (Closes: #262921)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 23 Aug 2004 09:27:09 +1000

libsamplerate (0.1.1-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 31 Jul 2004 18:15:20 +1000

libsamplerate (0.1.0-2) unstable; urgency=low

  * Include upstreams documentation

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 17 Mar 2004 01:47:49 +1100

libsamplerate (0.1.0-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 16 Mar 2004 23:29:17 +1100

libsamplerate (0.0.15-2) unstable; urgency=low

  * Depend upon pkg-config (Closes: #197638)

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 30 Jun 2003 00:08:30 +1000

libsamplerate (0.0.15-1) unstable; urgency=low

  * New upstream version
  * Switch to libdevel

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  3 May 2003 21:59:33 +1000

libsamplerate (0.0.14-1) unstable; urgency=low

  * New upstream release
  * Update to policy 3.5.8.0

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 23 Mar 2003 12:17:37 +1100

libsamplerate (0.0.13-3) unstable; urgency=low

  * Fix speeling (Closes: #172484)
  * Improve description
  * Add dependancy on libsndfile1 and perform 'make check'

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 25 Dec 2002 12:58:43 +1100

libsamplerate (0.0.13-2) unstable; urgency=low

  * Provide .la and pkgconfig files


=== debian/control ===
Source: libsamplerate
Section: sound
Priority: optional
Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 8.1.3), fftw3-dev, libsndfile1-dev
Standards-Version: 3.9.3
Homepage: http://www.mega-nerd.com/SRC/

Package: libsamplerate0
Section: libs
Replaces: samplerate-programs (<< 0.1.8-3)
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Audio sample rate conversion library
 libsamplerate (aka Secret Rabbit Code) is a library for audio rate conversion.
 .
 libsamplerate currently provides three different sample rate conversion
 algorithms; zero order hold, linear interpolation and FIR filter interpolation
 (using filters derived from the mathematical SINC function). The first two
 algorithms (zero order hold and linear) are included for completeness and are
 not recommended for any application where high quality sample rate conversion
 is required. For the FIR/Sinc algorithm, three converters are provided;
 SRC_SINC_FASTEST, SRC_SINC_MEDIUM_QUALITY and SRC_SINC_BEST_QUALITY to allow a
 trade off between conversion speed and conversion quality.
 .
 libsamplerate is capable of downsampling to 1/256 of the original sample rate
 and upsampling to 256 times the original sample rate. It is also capable of
 time varying conversions for vary speed effects and synchronising of two
 unlocked sample rates.

Package: libsamplerate0-dev
Provides: libsamplerate-dev
Conflicts: libsamplerate-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libsamplerate0 (= ${binary:Version}), pkg-config
Description: Development files for audio sample rate conversion
 libsamplerate (aka Secret Rabbit Code) is a library for audio rate conversion.
 .
 libsamplerate currently provides three different sample rate conversion
 algorithms; zero order hold, linear interpolation and FIR filter interpolation
 (using filters derived from the mathematical SINC function). The first two
 algorithms (zero order hold and linear) are included for completeness and are
 not recommended for any application where high quality sample rate conversion
 is required. For the FIR/Sinc algorithm, three converters are provided;
 SRC_SINC_FASTEST, SRC_SINC_MEDIUM_QUALITY and SRC_SINC_BEST_QUALITY to allow a
 trade off between conversion speed and conversion quality.
 .
 libsamplerate is capable of downsampling to 1/256 of the original sample rate
 and upsampling to 256 times the original sample rate. It is also capable of
 time varying conversions for vary speed effects and synchronising of two
 unlocked sample rates.
 .
 This package contains the library header files and API documentation.

Package: samplerate-programs
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libsamplerate0 (<< 0.1.8-3)
Description: Sample programs that use libsamplerate
 This package contains simple example programs for resampling sound files with
 the libsamplerate library.
 .
 Currently, the only binary included is sndfile-resample which uses libsndfile
 to read and write audio files and libsamplerate to do the rate conversion.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	./configure  $(shell dpkg-buildflags --export=configure) \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: patch build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE)
	$(MAKE) check

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean -a

install: build
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Purge *.la files. See: http://wiki.debian.org/ReleaseGoals/LAFileRemoval
	rm -f debian/tmp/usr/lib/*/*.la


binary-indep: build install
build-arch: build
build-indep: build

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -a --sourcedir=debian/tmp --list-missing
	dh_installman
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -plibsamplerate0
	dh_installdeb -a
	dh_shlibdeps -a -plibsamplerate0
	dh_shlibdeps -psamplerate-programs -ldebian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch

=== debian/watch ===
version=3

http://www.mega-nerd.com/SRC/download.html libsamplerate-([\d\.]+)\.tar\.gz

## libsamplerate 0.1.9

=== debian/changelog ===
libsamplerate (0.1.9-1) unstable; urgency=medium

  * New upstream version 0.1.9
    * (Closes: #860159)
    * Fixes CVE-2017-7697

  [ IOhannes m zmölnig ]
  * Adopted package into pkg-multimedia team
  * Refreshed patches
  * Link as needed
  * Updated symbols file
  * Switched build-system to dh 10 (Closes: #836014)
  * Documentation fix (Closes: #815151)
  * Machine readable d/copyright
    * licensecheck support
  * Removed d/*.dirs - no longer needed
  * Added local source options
  * Bumped standards version to 4.0.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 17 Aug 2017 13:37:33 +0200

libsamplerate (0.1.8-8) unstable; urgency=low

  * debian/rules: Regenerate configure if needed. Patch from Svante Signell.
  * debian/patches/hurd.patch: GNU/Hurd patch from Svante Signell
    (Closes: 753425).
  * debian/control: Add quilt to build-deps.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri,  4 Jul 2014 12:48:46 +1000

libsamplerate (0.1.8-7) unstable; urgency=low

  * debian/rules: Switch from autotools-dev to dh-autoreconf at the suggestion
    of Steve Langasek. (Closes: 736686).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 29 Jan 2014 18:01:00 +1100

libsamplerate (0.1.8-6) unstable; urgency=low

  [Wookey <wookey@debian.org>]
  * Ensure config.{sub,guess} up to date for new ports (Closes: #734673).

  [Erik de Castro Lopo]
  * debian/control:
    - Standards version 3.9.5. No changes needed.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 19 Jan 2014 21:02:34 +1100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: libsamplerate
 Section: sound
 Priority: optional
-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>> 8.1.3), fftw3-dev, libsndfile1-dev
-Standards-Version: 3.9.3
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends:
+ debhelper (>=10~),
+ fftw3-dev,
+ libsndfile1-dev,
+Standards-Version: 4.0.1
 Homepage: http://www.mega-nerd.com/SRC/
 
 Package: libsamplerate0
@@ -13,7 +17,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Audio sample rate conversion library
  libsamplerate (aka Secret Rabbit Code) is a library for audio rate conversion.
  .
@@ -37,7 +43,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libsamplerate0 (= ${binary:Version}), pkg-config
+Depends:
+ ${misc:Depends},
+ libsamplerate0 (= ${binary:Version}),
+ pkg-config,
 Description: Development files for audio sample rate conversion
  libsamplerate (aka Secret Rabbit Code) is a library for audio rate conversion.
  .
@@ -60,7 +69,9 @@
 Package: samplerate-programs
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Replaces: libsamplerate0 (<< 0.1.8-3)
 Description: Sample programs that use libsamplerate
  This package contains simple example programs for resampling sound files with

## libsamplerate 0.1.9.1

=== debian/changelog ===
libsamplerate (0.1.9.1-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 8833095ffe02e8ae27dacfc51f8fd5925f1d7212']

 -- shuttle <shuttle@deepin.com>  Fri, 29 Nov 2019 15:55:25 +0000

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2017 IOhannes m zmölnig
# under the GPL-2+

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

licensecheck:
	licensecheck --copyright -r . \
	| perl -00ne 'print unless /^\.\/doc\/SRC\.png:/' \
	> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
	&& rm debian/copyright_newhints

## libsamplerate 0.2.1+ds0

=== debian/changelog ===
libsamplerate (0.2.1+ds0-1) unstable; urgency=medium

  * New upstream version 0.2.1+ds0

  [ IOhannes m zmölnig ]
  * Drop patches applied upstream
  * Update symbols-file
    * Add new symbols
    * Add Build-Depends-Package to symbols-file
  * Make samplerate-programs a transitional package
    * it's been superseded by sndfile-tools
  * Mark libsamplerate.la as not-installed
  * API documentation is now in md, rather than html
  * Add salsa-ci configuration
  * Drop obsolete d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Update d/watch 
    * Use upstream's github repository
    * Add repacksuffix
  * Refresh d/copyright
    * Exclude repository configuration from upstream sources
    * Regenerate d/copyright_hints
    * Exclude png-files from licensecheck
  * Bump dh-compat to 13
  * Bump standards version to 4.5.1

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 23 Jan 2021 20:27:57 +0100

libsamplerate (0.1.9-2) unstable; urgency=medium

  * Added Vcs-* stanzas (Closes: #888665)
  * Updated maintainer address
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Mar 2018 20:46:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: libsamplerate
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=10~),
+ debhelper-compat (= 13),
  fftw3-dev,
  libsndfile1-dev,
-Standards-Version: 4.0.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://www.mega-nerd.com/SRC/
+Vcs-Git: https://salsa.debian.org/multimedia-team/libsamplerate.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libsamplerate
 
 Package: libsamplerate0
 Section: libs
@@ -67,15 +70,9 @@
  This package contains the library header files and API documentation.
 
 Package: samplerate-programs
-Section: utils
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Replaces: libsamplerate0 (<< 0.1.8-3)
-Description: Sample programs that use libsamplerate
- This package contains simple example programs for resampling sound files with
- the libsamplerate library.
- .
- Currently, the only binary included is sndfile-resample which uses libsndfile
- to read and write audio files and libsamplerate to do the rate conversion.
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends},
+ sndfile-tools (>= 1.04),
+Description: Sample programs that use libsamplerate - Transitional package
+ This is a transitional package. It can safely be removed.

## libsamplerate 0.2.2

=== debian/changelog ===
libsamplerate (0.2.2-4build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:06:59 +0200

libsamplerate (0.2.2-4) unstable; urgency=medium

  * Drop transitional package 'samplerate-programs' (Closes: #1038274)
  * Switch upstream-homepage to github
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Aug 2023 17:31:11 +0200

libsamplerate (0.2.2-3) unstable; urgency=high

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Dennis Braun ]
  * Fix FTBFS with fftw3. Thanks to Bas Couwenberg (Closes: #1025310)
  * Do not install extra license file

 -- Dennis Braun <snd@debian.org>  Sat, 03 Dec 2022 22:47:47 +0100

libsamplerate (0.2.2-2) unstable; urgency=medium

  [ Jenkins ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Dennis Braun ]
  * Add pkg-config to B-Ds (Closes: #1019997)
  * Bump Standards Version to 4.6.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 29 Sep 2022 10:23:59 +0200

libsamplerate (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2

  * libsamplerate0-dev: Drop static libraries
    - static libraries have been disabled by upstream
  * Drop Files-Excluded (no longer needed)
  * Apply 'wrap-and-sort -ast'
  * Remove trailing whitespace in d/changelog
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 23 Sep 2021 10:54:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: libsamplerate
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- fftw3-dev,
+ libfftw3-dev,
  libsndfile1-dev,
-Standards-Version: 4.5.1
+ pkg-config,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://www.mega-nerd.com/SRC/
+Homepage: https://libsndfile.github.io/libsamplerate/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libsamplerate.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libsamplerate
 
 Package: libsamplerate0
 Section: libs
-Replaces: samplerate-programs (<< 0.1.8-3)
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -41,15 +43,17 @@
  unlocked sample rates.
 
 Package: libsamplerate0-dev
-Provides: libsamplerate-dev
-Conflicts: libsamplerate-dev
+Provides:
+ libsamplerate-dev,
+Conflicts:
+ libsamplerate-dev,
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
  libsamplerate0 (= ${binary:Version}),
  pkg-config,
+ ${misc:Depends},
 Description: Development files for audio sample rate conversion
  libsamplerate (aka Secret Rabbit Code) is a library for audio rate conversion.
  .
@@ -68,11 +72,3 @@
  unlocked sample rates.
  .
  This package contains the library header files and API documentation.
-
-Package: samplerate-programs
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends},
- sndfile-tools (>= 1.04),
-Description: Sample programs that use libsamplerate - Transitional package
- This is a transitional package. It can safely be removed.

=== debian/watch ===
version=4
opts=dversionmangle=auto,\
  repacksuffix=+ds0 \
  https://github.com/libsndfile/libsamplerate/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
